@echo off
setlocal

SET JARDIR=C:\Program Files\IBM\WebSphere MQ\Java\lib
SET JARDIR2=C:\Program Files (x86)\IBM\WebSphere MQ\Java\lib

IF EXIST .\lib\com.ibm.mq.jar GOTO CHECKJAR2
COPY "%JARDIR%"\com.ibm.mq.jar .\lib
COPY "%JARDIR2%"\com.ibm.mq.jar .\lib
SET JARFILE=com.ibm.mq.jar
IF NOT EXIST .\lib\com.ibm.mq.jar GOTO ERROR

:CHECKJAR2
IF EXIST .\lib\connector.jar GOTO CHECKJAR3
COPY "%JARDIR%"\connector.jar .\lib
COPY "%JARDIR2%"\connector.jar .\lib
SET JARFILE=connector.jar
IF NOT EXIST .\lib\connector.jar GOTO ERROR

:CHECKJAR3
IF EXIST .\lib\com.ibm.mq.jmqi.jar GOTO CHECKJAR4
COPY "%JARDIR%"\com.ibm.mq.jmqi.jar .\lib
COPY "%JARDIR2%"\com.ibm.mq.jmqi.jar .\lib
SET JARFILE=com.ibm.mq.jmqi.jar
IF NOT EXIST .\lib\com.ibm.mq.jmqi.jar GOTO ERROR

:CHECKJAR4
IF EXIST .\lib\com.ibm.mq.commonservices.jar GOTO CHECKJAR5
COPY "%JARDIR%"\com.ibm.mq.commonservices.jar .\lib
COPY "%JARDIR2%"\com.ibm.mq.commonservices.jar .\lib
SET JARFILE=com.ibm.mq.commonservices.jar
IF NOT EXIST .\lib\com.ibm.mq.commonservices.jar GOTO ERROR

:CHECKJAR5
IF EXIST .\lib\com.ibm.mq.headers.jar GOTO CHECKJAR6
COPY "%JARDIR%"\com.ibm.mq.headers.jar .\lib
COPY "%JARDIR2%"\com.ibm.mq.headers.jar .\lib
SET JARFILE=com.ibm.mq.headers.jar
IF NOT EXIST .\lib\com.ibm.mq.headers.jar GOTO ERROR

:CHECKJAR6
IF EXIST .\lib\com.ibm.mq.pcf.jar GOTO OK
SET JARFILE=com.ibm.mq.pcf.jar
COPY "%JARDIR%"\com.ibm.mq.pcf.jar .\lib
COPY "%JARDIR2%"\com.ibm.mq.pcf.jar .\lib
IF NOT EXIST .\lib\com.ibm.mq.pcf.jar GOTO ERROR

:OK
set _JAVA_OPTIONS=

SET CLASSPATH=.\lib\qz.jar
SET CLASSPATH=%CLASSPATH%;.\lib\com.ibm.mq.jar
SET CLASSPATH=%CLASSPATH%;.\lib\com.ibm.mq.jmqi.jar
SET CLASSPATH=%CLASSPATH%;.\lib\com.ibm.mq.commonservices.jar
SET CLASSPATH=%CLASSPATH%;.\lib\com.ibm.mq.headers.jar
SET CLASSPATH=%CLASSPATH%;.\lib\connector.jar
SET CLASSPATH=%CLASSPATH%;.\lib\com.ibm.mq.pcf.jar

SET CLASSPATH=%CLASSPATH%;.\lib\xstream-1.1.3.jar
SET CLASSPATH=%CLASSPATH%;.\lib\xpp3-1.1.3.4.C.jar

start javaw -Xms64m -Xmx1024m uk.angussoft.qz.QZMain

exit 0

:ERROR
ECHO _
ECHO ****** ERROR Starting QueueZee v2.x!! ******
ECHO _
ECHO A required MQ Java client library is missing! 
ECHO _
ECHO Please read the 'ReadMe.txt' file in this directory.
ECHO _
ECHO Please make sure the jar file '%JARFILE%'
ECHO is present in the QueueZee v2\lib sub-directory...
ECHO _

pause